import { Button, Form, Input } from 'antd';
import { useState } from 'react';
import { catchHtml } from './js/utils';

const { TextArea } = Input;
const App = () => {
    const [html, setHtml] = useState('');
    const [emails, setEmails] = useState([]);
    const onFinish = async (values) => {
        console.log('Success:', values);
        let rs = await catchHtml(values)
        console.log('rs', rs);
        setHtml(rs.body)
    };

    const onFinishFailed = (errorInfo) => {
        console.log('Failed:', errorInfo);
    };

    const getContactStr = (str) => {
        if (!str) {
            alert('请先抓取网页')
            return
        }
        let newStr = null;//返回值
        var regEmail = /\b[A-Za-z0-9._%+-]+\s?@\s?(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,6}\b/g
        console.log(str.match(regEmail))
        newStr = str.match(regEmail)
        newStr = Array.from(new Set(newStr))
        setHtml('');
        setEmails(newStr)
    };


    return <div>
        <Form

            labelCol={{
                span: 8,
            }}
            wrapperCol={{
                span: 8,
            }}
            initialValues={{
                url: 'https://zhuanlan.zhihu.com/p/71324683',
            }}
            onFinish={onFinish}
            onFinishFailed={onFinishFailed}
            autoComplete="off"
        >
            <Form.Item
                label="url"
                name="url"
                rules={[
                    {
                        required: true,
                        message: '输入浏览器地址',
                    },
                ]}
            >
                <TextArea rows={3} placeholder='输入浏览器地址' />
            </Form.Item>
            <Form.Item
                wrapperCol={{
                    offset: 8,
                    span: 8,
                }}
            >
                <Button type="primary" htmlType="submit">
                    抓取
                </Button>

                <Button type="primary" onClick={() => getContactStr(html)}>
                    分析
                </Button>

            </Form.Item>
        </Form>
        {html}

        <ol>
            {emails.map((item, index) => (
                <li key={index}>{item}</li>
            ))}
        </ol>

    </div >
};

export default App;


